# H245_RefPictureSelection Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RefPictureSelection:

List of all members.

## Public Types

enum | OptionalFields { e_additionalPictureMemory, e_enhancedReferencePicSelect }

## Public Member Functions

| H245_RefPictureSelection (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_RefPictureSelection_additionalPictureMemory | m_additionalPictureMemory
PASN_Boolean | m_videoMux
H245_RefPictureSelection_videoBackChannelSend | m_videoBackChannelSend
H245_RefPictureSelection_enhancedReferencePicSelect | m_enhancedReferencePicSelect

## Member Enumeration Documentation

enum H245_RefPictureSelection::OptionalFields

Enumerator:

  e_additionalPictureMemory |
  e_enhancedReferencePicSelect |

## Constructor & Destructor Documentation

H245_RefPictureSelection::H245_RefPictureSelection | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RefPictureSelection::GetDataLength | ( |  | ) | const

PBoolean H245_RefPictureSelection::Decode | ( | PASN_Stream & | strm | ) |

void H245_RefPictureSelection::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RefPictureSelection::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RefPictureSelection::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RefPictureSelection::Clone | ( |  | ) | const

## Member Data Documentation

H245_RefPictureSelection_additionalPictureMemory H245_RefPictureSelection::m_additionalPictureMemory

PASN_Boolean H245_RefPictureSelection::m_videoMux

H245_RefPictureSelection_videoBackChannelSend H245_RefPictureSelection::m_videoBackChannelSend

H245_RefPictureSelection_enhancedReferencePicSelect H245_RefPictureSelection::m_enhancedReferencePicSelect

The documentation for this class was generated from the following file:

- h245.h